Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #98
Add Sndio plugin
April 12,2012 01:30 - Brad Smith

Status: Closed Start date: April 12, 2012
Priority: Minor Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 3.3

Affects version: 3.2

Description

Add Sndio plugin. The following diff adds support for the Sndio API used on OpenBSD.

History

#1 - May 12, 2012 05:52 - Brad Smith
- File 0001-Add-Sndio-plugin.patch added

Here is an updated diff which includes an updated Sndio plugin adding a bunch of bug fixes.

revision 1.5
date: 2012/05/10 22:42:24; author: ratchov; state: Exp; lines: +10 -1
use milliseconds for the buffer size, in the sndio backend

revision 1.4

date: 2012/05/09 20:53:35; author: ratchov; state: Exp; lines: +96 -83
Update the plug-in to the newer 3.x plug-in semantics. Fixes audacious
unpausing by itself as various other bugs caused by using the version
2.x plug-in.

#2 - May 26, 2012 15:18 - Michat Lipski
- Target version deleted (3.2.3)

#3 - June 17, 2012 06:41 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.3

- % Done changed from 0 to 100

I've added the plugin and removed the written_time() and set_written_time() functions, which are no longer required. | have not had time to get an
OpenBSD system running to test on, so please let me know if there are any problems.

https://github.com/audacious-media-player/audacious-plugins/commit/02706adf601293f36fb0c8f2cd424620a3ea889c
https://github.com/audacious-media-player/audacious-plugins/commit/45ca2c7b1822290b8fa0999f04874f3da5dfd917

#4 - June 17,2012 06:44 - Brad Smith
https://github.com/audacious-media-player/audacious-plugins/commit/02706adf601293f36fb0c8f2cd424620a3ea889c
https://github.com/audacious-media-player/audacious-plugins/commit/45ca2c7b1822290b8fa0999f04874f3da5dfd917

John Lindgren wrote:

so please let me know if there are any problems.

Thank you. This in itself is a step forward. It'll be much easier
to submit patches against what has been commited even if anything
comes up with the code as is with the 3.3 release.

Files
0001-Add-Sndio-plugin.patch 13.7 KB April 12, 2012 Brad Smith
0001-Add-Sndio-plugin.patch 14.1 KB May 12, 2012 Brad Smith
